<?php
  echo "Entrez un nombre réel (ex: 2.3): ";
  fscanf(STDIN,"%f",$x);
  echo "Entrez la puissance entière (ex: 3) : ";
  fscanf(STDIN,"%d",$n);
  
  $res = 1    ;
  $compteur=0 ;
  do
  {
    $res = $res * $x ;
    $compteur++      ;
  }
  while ($compteur != $n);
  echo "$x ** $n = $res".PHP_EOL;
?>